JUCE: DropShadow Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DropShadow Struct Reference
juce_graphics » effects

Defines a drop-shadow effect. More...

`#include <juce_DropShadowEffect.h>`

## Public Member Functions
| DropShadow ()=default
| Creates a default drop-shadow effect.
| DropShadow (Colour shadowColour, int radius, Point< int > offset) noexcept
| Creates a drop-shadow object with the given parameters.
void | drawForImage (Graphics &g, const Image &srcImage) const
| Renders a drop-shadow based on the alpha-channel of the given image.
void | drawForPath (Graphics &g, const Path &path) const
| Renders a drop-shadow based on the shape of a path.
void | drawForRectangle (Graphics &g, const Rectangle< int > &area) const
| Renders a drop-shadow for a rectangle.

## Public Attributes
Colour | colour { 0x90000000 }
| The colour with which to render the shadow.
int | radius { 4 }
| The approximate spread of the shadow.
Point< int > | offset
| The offset of the shadow.

## Detailed Description

Defines a drop-shadow effect.

## Constructor & Destructor Documentation

## ◆ DropShadow() [1/2]

DropShadow::DropShadow | ( |  | ) |
| default

Creates a default drop-shadow effect.

## ◆ DropShadow() [2/2]

DropShadow::DropShadow | ( | Colour | shadowColour,
|  | int | radius,
|  | Point< int > | offset
| ) |  |
| noexcept

Creates a drop-shadow object with the given parameters.

## Member Function Documentation

## ◆ drawForImage()

void DropShadow::drawForImage | ( | Graphics & | g,
|  | const Image & | srcImage
| ) |  | const

Renders a drop-shadow based on the alpha-channel of the given image.

## ◆ drawForPath()

void DropShadow::drawForPath | ( | Graphics & | g,
|  | const Path & | path
| ) |  | const

Renders a drop-shadow based on the shape of a path.

## ◆ drawForRectangle()

void DropShadow::drawForRectangle | ( | Graphics & | g,
|  | const Rectangle< int > & | area
| ) |  | const

Renders a drop-shadow for a rectangle.

Note that for speed, this approximates the shadow using gradients.

## Member Data Documentation

## ◆ colour

Colour DropShadow::colour { 0x90000000 }

The colour with which to render the shadow.

In most cases you'll probably want to leave this as black with an alpha value of around 0.5

## ◆ radius

int DropShadow::radius { 4 }

The approximate spread of the shadow.

## ◆ offset

Point<int> DropShadow::offset

The offset of the shadow.

The documentation for this struct was generated from the following file:

- juce_DropShadowEffect.h